Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceAST

- org.codehaus.groovy.antlr.GroovySourceAST

- All Implemented Interfaces and Traits:
    Comparable, SourceInfo

      public class GroovySourceAST
      extends CommonAST

  We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `column`
    `int` | `columnLast`
    `int` | `line`
    `int` | `lineLast`
    `String` | `snippet`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceAST ()`
    `GroovySourceAST (Token t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySourceAST` | `childAt(int position)`
    `` | `GroovySourceAST` | `childOfType(int type)`
    `` | `List<GroovySourceAST>` | `childrenOfType(int type)`
    `` | `int` | `compareTo(Object object)`
    `` | `int` | `getColumn()`
    `` | `int` | `getColumnLast()`
    `` | `int` | `getLine()`
    `` | `int` | `getLineLast()`
    `` | `String` | `getSnippet()`
    `` | `void` | `initialize(AST ast)`
    `` | `void` | `initialize(Token t)`
    `` | `void` | `setColumn(int column)`
    `` | `void` | `setColumnLast(int colLast)`
    `` | `void` | `setLast(Token last)`
    `` | `void` | `setLine(int line)`
    `` | `void` | `setLineLast(int lineLast)`
    `` | `void` | `setSnippet(String snippet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommonAST` | `getType, initialize, initialize, initialize, setType, getText, setText, equals, toString, decode, encode, toStringList, getLine, findAll, addChild, getColumn, getFirstChild, getNextSibling, getTokenNames, setNextSibling, setFirstChild, toStringTree, xmlSerialize, equalsTree, findAllPartial, removeChildren, xmlSerializeNode, equalsList, equalsTreePartial, xmlSerializeRootOpen, setVerboseStringConversion, equalsListPartial, xmlSerializeRootClose, getNumberOfChildren, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class BaseAST` | `equals, toString, decode, encode, getType, initialize, initialize, initialize, setType, toStringList, getText, getLine, findAll, addChild, getColumn, setText, getFirstChild, getNextSibling, getTokenNames, setNextSibling, setFirstChild, toStringTree, xmlSerialize, equalsTree, findAllPartial, removeChildren, xmlSerializeNode, equalsList, equalsTreePartial, xmlSerializeRootOpen, setVerboseStringConversion, equalsListPartial, xmlSerializeRootClose, getNumberOfChildren, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### int column

    - #### int columnLast

    - #### int line

    - #### int lineLast

    - #### String snippet

  - ### Constructor Detail

    - #### public GroovySourceAST()

    - #### public GroovySourceAST(Token t)

  - ### Method Detail

    - #### public GroovySourceAST childAt(int position)

    - #### public GroovySourceAST childOfType(int type)

    - #### public List<GroovySourceAST> childrenOfType(int type)

    - #### public int compareTo(Object object)

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getSnippet()

    - #### public void initialize(AST ast)

    - #### public void initialize(Token t)

    - #### public void setColumn(int column)

    - #### public void setColumnLast(int colLast)

    - #### public void setLast(Token last)

    - #### public void setLine(int line)

    - #### public void setLineLast(int lineLast)

    - #### public void setSnippet(String snippet)